/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 04.2003
 * Created by : s3595
*/
package at.spardat.xma.boot;

/**
 * contains internal string constants, that are not translated.
 *
 * @author s3595 <a href="mailto:schaeferc@spardat.at">Chris Schfer (CGS)</a>
 * @version $Id: Statics.java 2616 2008-07-07 14:39:37Z webok $
 *
 */
public class Statics {

    /** Basic Constants */

    /** directories */
    public static final  String CACHE_DIRNAME     = "cache";  //$NON-NLS-1$
    public static final  String LOG_DIRNAME       = "logs";    //$NON-NLS-1$
    public static final  String SETTINGS_DIRNAME  = "settings"; //$NON-NLS-1$

    public static final  String FILEINFO_EXT      = ".ifo" ; //$NON-NLS-1$
    public static final  String LOCKFILE_EXT      = ".lck" ; //$NON-NLS-1$
    public static final  String URL_NAME          = "url"  ; //$NON-NLS-1$
    public static final  String URL_QUERY         = ".qry" ; //$NON-NLS-1$
    public static final  String URL_TABULAR       = "tabular" ; //$NON-NLS-1$
    public static final  String SHARED_DIRNAME    = "shared"; //$NON-NLS-1$

    public static final  String PROTO_HTTP        = "http" ; //$NON-NLS-1$
    public static final  String PROTO_HTTPS       = "https"; //$NON-NLS-1$
    public static final  String PROTO_FILE        = "file" ; //$NON-NLS-1$
    public static final  String PROTO_FTP         = "ftp"  ; //$NON-NLS-1$

    public static final  String XMA_DIGEST        = "XMA-Digest"; //$NON-NLS-1$

    /** file names */
    public static final  String BRT_CONFIGFILE    = "bootcfg.properties"; //$NON-NLS-1$
    public static final  String APP_DISCRIPTOR    = "xma-app.xml"; //$NON-NLS-1$
    public static final  String PLUGIN_DISCRIPTOR = "plugins.xml"; //$NON-NLS-1$
    public static final  String BRT_JAR_NAME      = "xmabootrt.jar"; //$NON-NLS-1$
    public static final  String BRTCOM_JAR_NAME   = "xmacom.jar"; //$NON-NLS-1$

    public static final  String BRT_CTX_KEY       = "XMA_BOOTRT_APPLICATION_DESCRIPTION"; //$NON-NLS-1$

    /** HTTP Header Constants
     * see also: http://www.w3.org/Protocols/rfc2616/rfc2616.html
     * */
    /* none http, but used for cache internals */
    public static final  String strLastUpdated     = "last-updated"; //$NON-NLS-1$
    public static final  String APPLICATION_STARTED= "last-started"; //$NON-NLS-1$

    /* http specific constants */
    public static final  String strContentLength   = "content-length"; //$NON-NLS-1$
    public static final  String HTTP_LAST_MODIFIED = "last-modified"; //$NON-NLS-1$
    public static final  String HTTP_EXPIRES         = "Expires"; //$NON-NLS-1$
    public static final  String strDate            = "Date";            // rfc 14.18  //$NON-NLS-1$
    public static final  String strEtag            = "Etag";     //$NON-NLS-1$
    public static final  String strIfModifiedSince = "If-Modified-Since";     //$NON-NLS-1$
    public static final  String HTTP_ACCEPT        = "Accept";     //$NON-NLS-1$
    public static final  String HTTP_USER_AGENT    = "User-Agent"; //$NON-NLS-1$
    public static final  String HTTP_CONTENT_TYPE  = "Content-type"; //$NON-NLS-1$
    public static final  String HTTP_COOKIE        = "Cookie"; //$NON-NLS-1$
    public static final  String HTTP_SET_COOKIE    = "Set-Cookie"; //$NON-NLS-1$
    public static final  String HTTP_CACHE_CONTROL = "Cache-Control"; //$NON-NLS-1$
    public static final  String HTTP_MAX_AGE       = "max-age"; //$NON-NLS-1$

    public static final  String HTTP_USER_AGENT_NAME = "XMA"; //$NON-NLS-1$
    public static final  String TRANSFORM_HEADER  = "XMA-Transform"; //$NON-NLS-1$

    /** boot runtime internal constants */
    public static final  String strEmpty         = ""; //$NON-NLS-1$
    public static final  String strClient        = ".client."; //$NON-NLS-1$
    public static final  String strServer        = ".server."; //$NON-NLS-1$


    /** message constants */
    public static final  String strInvalidARG    = "Invalid argument: "; //$NON-NLS-1$

    /** configuration properties */
    public static final  String CFG_PROP_DATAPATH      = "boot.datapath"; //$NON-NLS-1$
    public static final  String CFG_PROP_DATAPATH_USER_HOME_VALUE = "{user.home}"; //$NON-NLS-1$
    public static final  String CFG_PROP_XML_VALIDATE  = "boot.xmlparser.validate"; //$NON-NLS-1$

    public static final  String CFG_PROP_LOGLEVEL      = "boot.log.level"; //$NON-NLS-1$
    public static final  String CFG_PROP_LOGLHANDLERS  = "boot.log.handlers"; //$NON-NLS-1$
    public static final  String CFG_PROP_LOGDIRECTORY  = "boot.log.logdir"; //$NON-NLS-1$

    public static final  String CFG_PROP_CLEANUP_INITIAL_DELAY   = "boot.cleaner.initial_delay"; //$NON-NLS-1$
    public static final  String CFG_PROP_CLEANUP_INTERVAL        = "boot.cleaner.cleanup_interval"; //$NON-NLS-1$
    public static final  String CFG_PROP_CLEANUP_LOGFILE_TIMEOUT = "boot.cleaner.logfiles.cachetimeout"; //$NON-NLS-1$
    public static final  String CFG_PROP_CLEANUP_APPLICATION_TIMEOUT = "boot.cleaner.application.cachetimeout"; //$NON-NLS-1$

    public static final  String CFG_PROP_PROXYSERVER   = "boot.transport.proxyserver"; //$NON-NLS-1$
    public static final  String CFG_PROP_PROXYPORT     = "boot.transport.proxyport"; //$NON-NLS-1$
    public static final  String CFG_PROP_PROXYOVERRIDE = "boot.transport.proxyoverride"; //$NON-NLS-1$
    public static final  String CFG_PROP_PROXYENABLE   = "boot.transport.proxyenable"; //$NON-NLS-1$
    public static final  String CFG_PROP_SECUREPROXYSERVER   = "boot.transport.secureproxyserver"; //$NON-NLS-1$
    public static final  String CFG_PROP_SECUREPROXYPORT     = "boot.transport.secureproxyport"; //$NON-NLS-1$

    public static final  String CFG_PROP_CONNECTTIMEOUT     = "boot.transport.connecttimeout"; //$NON-NLS-1$
    public static final  String CFG_PROP_READTIMEOUT     = "boot.transport.readtimeout"; //$NON-NLS-1$

    public static final  String CFG_PROP_HOSTNAMEIGNORE   = "boot.transport.hostnameverify.ignore"; //$NON-NLS-1$
    public static final  String CFG_PROP_USEREGISTRY   = "boot.transport.useproxysettingsfromregistry"; //$NON-NLS-1$
    public static final  String CFG_PROP_SECURECERTS   = "boot.transport.secure.truststore"; //$NON-NLS-1$

    public static final  String CFG_PROP_COOKIEPOLICY = "boot.transport.cookiepolicy"; //$NON-NLS-1$

    public static final  String CFG_PROP_SWTVERSION = "boot.swt.version"; //$NON-NLS-1$
    public static final  String CFG_PROP_SWT_BASEDIR = "boot.swt.basedir"; //$NON-NLS-1$
}






