/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 04.07.2003
 */
package at.spardat.xma.boot.component;

import java.beans.PropertyChangeListener;
import java.util.EventObject;

/**
 * This class defines the interface which must be implemented by
 * every object which wishes to be informed of component-events
 * e.g. property-changes.
 *
 *
 * @author s2877
 */
public interface IComponentListener extends PropertyChangeListener {

    /**
     * This method is called every time a named event is
     * fired on the component.
     *
     * @param event containing name, value and source of the NamedEvent.
     */
    void event(NamedEvent event);


    /**
     * This method is called, when the component is closed.
     *
     * @param event containing the source of the event.
     */
    void componentClosed(EventObject event);
}
