/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 23.10.2003
 */
package at.spardat.xma.boot.component;

import java.util.EventObject;

/**
 * EventObject to transport the information assosiated with a named event of a component.
 *
 * @author s2877
 */
public class NamedEvent extends EventObject {

    private String name;
    private String value;

    /**
     * Constructs a new <code>NamedEvent</code>.
     *
     * @param source the bean that fired the event
     * @param name the name of the event
     * @param value a value for the event
     */
    public NamedEvent(Object source,String name,String value) {
        super(source);
        this.name=name;
        this.value=value;
    }

    /**
     * Gets the name of the event. The name is choosen by the fireing component
     * and must be documented there.
     * @return the name of the event
     */
    public String getName() {
        return name;
    }

    /**
     * Gets the value of the event. Possible values are defined by the fireing
     * component und must be documented there.
     * @return the value for the event
     */
    public String getValue() {
        return value;
    }

}
